Subject: Re: [PATCH v4 0/6] solve deadlock caused by memory allocation with I/O

From: Andrew Morton <[email-masked]>
Date: Tue, 6 Nov 2012 15:23:03 -0800

On Sat,  3 Nov 2012 16:35:08 +0800
Ming Lei <[email-masked]> wrote:

> This patchset try to solve one deadlock problem which might be caused
> by memory allocation with block I/O during runtime PM and block device
> error handling path. Traditionly, the problem is addressed by passing
> GFP_NOIO statically to mm, but that is not a effective solution, see
> detailed description in patch 1's commit log.

It generally looks OK to me.  I have a few comments and I expect to grab
v5.

Rafael, your thoughts?

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>